from SystemEntity import SystemEntity
import logging
logger = logging.getLogger(__name__)

class Node(SystemEntity):
    def __init__(self,id):
        SystemEntity.__init__(self)
        self.id = id
        self.adjacentNodes = []
        self.commands={"sendMessage":self.sendMessage,
                       }

    def sendMessage(self,params):
        logger.info(str(params))
        pass

    def simulate(self,time):
        logger.info("simulating .. ")

        try:
            tasks = self.todoList.pop(time)
            for task in tasks:
                command = self.commands.get(task[0])
                command(task[1:])
        except KeyError as ke:
            # not task pending at this time
            pass

        pass

if __name__ == '__main__':
    # node = Node('1')
    # cmd = node.commands.get("sendMessage")
    # cmd("1 ","2 "," : Hello world")

    from collections import defaultdict

    # when accessing a key, if it has no value - create a list by default
    d = defaultdict(list)
    d["key"].append("a value")
    d["key"].append("another value")
    print(d)
    x = d.pop("key2")
    print(x)
    print(d.get("key2"))




